import request from '@/utils/request'

// 查询事件（活动）图片信息列表
export function listImg(query) {
  return request({
    url: '/event/img/list',
    method: 'get',
    params: query
  })
}

// 查询事件（活动）图片信息详细
export function getImg(id) {
  return request({
    url: '/event/img/' + id,
    method: 'get'
  })
}

// 新增事件（活动）图片信息
export function addImg(data) {
  return request({
    url: '/event/img',
    method: 'post',
    data: data
  })
}

// 修改事件（活动）图片信息
export function updateImg(data) {
  return request({
    url: '/event/img',
    method: 'put',
    data: data
  })
}

// 删除事件（活动）图片信息
export function delImg(id) {
  return request({
    url: '/event/img/' + id,
    method: 'delete'
  })
}

// 导出事件（活动）图片信息
export function exportImg(query) {
  return request({
    url: '/event/img/export',
    method: 'get',
    params: query
  })
}